Subject: bug#30245: Downloading the texlive-texmf sources from Hydra is unreliable

From: Leo Famulari <[email-masked]>
Date: Wed, 24 Jan 2018 19:30:39 -0500

cogrendel on #guix reported [0] this failure while installing texlive:

------
Downloading https://mirror.hydra.gnu.org/guix/nar/5rnvmy02yazy8iwaa91kijbbqp8qmflz-texlive-20170524-texmf.tar.xz...
 texlive-20170524-texmf.tar.xz  2.23GiB                     3.8MiB/s 00:52 [#                 ]   8.7%guix substitute: error: TLS error in procedure 'read_from_session_record_port': Resource temporarily unavailable, try again.
killing process 11204
guix package: error: build failed: some substitutes for the outputs of derivation `/gnu/store/j3m0a6rwrz9jmass4zlndpn5y0x8g5n4-texlive-20170524-texmf.tar.xz.drv' failed (usually happens due to networking issues); try `--fallback' to build derivation from source
------

I know we recently started serving this file from Hydra again, but I
wonder if the Hydra mirror is up to the task?

Based on their report, the build failed even with --fallback. Perhaps
when process 11204 was killed, the whole thing stopped? I'm not able to
verify this currently.

[0] https://gnunet.org/bot/log/guix/2018-01-25#T1614233
https://paste.debian.net/plain/1006977